=== modified file 'account_relation_move/account.py'
--- account_relation_move/account.py	2012-11-01 20:02:10 +0000
+++ account_relation_move/account.py	2012-11-12 19:35:47 +0000
@@ -69,4 +69,15 @@
             line[2]['production_id'] = move.production_id and move.production_id.id or (result and result[0]['production_id'] or  False )
         return res
 
+    def action_consume(self, cr, uid, ids, product_qty, location_id=False, context=None):
+        account_move_line_pool = self.pool.get('account.move.line')
+        res = super(stock_move, self).action_consume(cr, uid, ids, product_qty, location_id=location_id, context=context)
+        for move_id in res:
+            cr.execute('SELECT production_id FROM mrp_production_move_ids WHERE move_id = %s', (move_id,))
+            result = cr.dictfetchall()
+            account_move_line_id = account_move_line_pool.search(cr, uid, [('stock_move_id', '=', move_id)])
+            if result and account_move_line_id:
+                account_move_line_pool.write(cr, uid, account_move_line_id, {'production_id':result[0]['production_id']})
+        return res
+
 stock_move()

